roasOS
API referenceAgent

Get an agent run result

What the agent answered, the thread it wrote it in, and what the run cost. A run that is not terminal answers 409 run_not_completed.

GET
/v1/agent-runs/{id}/result

What the agent answered, the thread it wrote it in, and what the run cost. A run that is not terminal answers 409 run_not_completed.

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agent-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/result"
{  "data": {    "schema_version": "agent-run-result@1",    "kind": "agent_run_result",    "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec",    "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",    "trigger": "chat",    "skill_id": "3cd68bb3-8b7e-48be-8232-1b99b5b4b3aa",    "status": "completed",    "text": "string",    "url": "http://example.com",    "completed_at": "2019-08-24T14:15:22Z",    "usage": {      "model": "string",      "pricing_version": "string",      "input_tokens": 0,      "cached_input_tokens": 0,      "output_tokens": 0,      "steps": 0,      "tool_calls": 0,      "credits_reserved": 0,      "credits_charged": 0,      "credits_refunded": 0,      "generation_credits_charged": 0    }  }}